Index: trunk/LMDZ.COMMON/libf/evolution/pemetat0.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/evolution/pemetat0.F90	(revision 3145)
+++ trunk/LMDZ.COMMON/libf/evolution/pemetat0.F90	(revision 3149)
@@ -7,12 +7,12 @@
 !=======================================================================
 
-SUBROUTINE pemetat0(filename,ngrid,nsoil_GCM,nsoil_PEM,nslope,timelen,timestep,TI_PEM,tsoil_PEM,ice_table, ice_table_thickness,   &
-                    tsurf_ave_yr1,tsurf_ave_yr2,q_co2,q_h2o,ps_inst,tsoil_inst,tend_h2oglaciers,tend_co2glaciers,co2ice,waterice, &
-                    global_ave_pressure,watersurf_ave,watersoil_ave, m_co2_regolith_phys,deltam_co2_regolith_phys,                &
-                    m_h2o_regolith_phys,deltam_h2o_regolith_phys, water_reservoir)
+SUBROUTINE pemetat0(filename,ngrid,nsoil_PCM,nsoil_PEM,nslope,timelen,timestep,TI_PEM,tsoil_PEM,ice_table,ice_table_thickness, &
+                    tsurf_avg_yr1,tsurf_avg_yr2,q_co2,q_h2o,ps_inst,tsoil_inst,tend_h2o_ice,tend_co2_ice,co2_ice,h2o_ice,      &
+                    global_avg_pressure,watersurf_avg,watersoil_avg,m_co2_regolith_phys,deltam_co2_regolith_phys,              &
+                    m_h2o_regolith_phys,deltam_h2o_regolith_phys)
 
 use iostart_PEM,                only: open_startphy, close_startphy, get_field, get_var
-use comsoil_h_PEM,              only: soil_pem, layer_PEM, mlayer_PEM, fluxgeo, inertiedat_PEM, water_reservoir_nom, depth_breccia, depth_bedrock, index_breccia, index_bedrock
-use comsoil_h,                  only: volcapa,inertiedat
+use comsoil_h_PEM,              only: soil_pem, layer_PEM, mlayer_PEM, fluxgeo, inertiedat_PEM, ini_h2o_bigreservoir, depth_breccia, depth_bedrock, index_breccia, index_bedrock
+use comsoil_h,                  only: volcapa, inertiedat
 use adsorption_mod,             only: regolith_adsorption, adsorption_pem
 use ice_table_mod,              only: computeice_table_equilibrium
@@ -26,5 +26,5 @@
 #ifndef CPP_STD
     use comcstfi_h,   only: r, mugaz
-    use surfdat_h,    only: watercaptag
+    use surfdat_h,    only: watercaptag, perennial_co2ice
 #else
     use comcstfi_mod, only: r, mugaz
@@ -37,23 +37,23 @@
 character(len=*),               intent(in) :: filename            ! name of the startfi_PEM.nc
 integer,                        intent(in) :: ngrid               ! # of physical grid points
-integer,                        intent(in) :: nsoil_GCM           ! # of vertical grid points in the GCM
+integer,                        intent(in) :: nsoil_PCM           ! # of vertical grid points in the PCM
 integer,                        intent(in) :: nsoil_PEM           ! # of vertical grid points in the PEM
 integer,                        intent(in) :: nslope              ! # of sub-grid slopes
 integer,                        intent(in) :: timelen             ! # time samples
 real,                           intent(in) :: timestep            ! time step [s]
-real,                           intent(in) :: global_ave_pressure ! mean average pressure on the planet [Pa]
-real, dimension(ngrid,nslope),  intent(in) :: tsurf_ave_yr1       ! surface temperature at the first year of GCM call [K]
-real, dimension(ngrid,nslope),  intent(in) :: tsurf_ave_yr2       ! surface temperature at the second  year of GCM call [K]
+real,                           intent(in) :: global_avg_pressure ! mean average pressure on the planet [Pa]
+real, dimension(ngrid,nslope),  intent(in) :: tsurf_avg_yr1       ! surface temperature at the first year of PCM call [K]
+real, dimension(ngrid,nslope),  intent(in) :: tsurf_avg_yr2       ! surface temperature at the second  year of PCM call [K]
 real, dimension(ngrid,timelen), intent(in) :: q_co2               ! MMR tracer co2 [kg/kg]
 real, dimension(ngrid,timelen), intent(in) :: q_h2o               ! MMR tracer h2o [kg/kg]
 real, dimension(ngrid,timelen), intent(in) :: ps_inst             ! surface pressure [Pa]
-real, dimension(ngrid,nslope),  intent(in) :: tend_h2oglaciers    ! tendencies on h2o glaciers
-real, dimension(ngrid,nslope),  intent(in) :: tend_co2glaciers    ! tendencies on co2 glaciers
-real, dimension(ngrid,nslope),  intent(in) :: co2ice              ! co2 ice amount [kg/m^2]
-real, dimension(ngrid,nslope),  intent(in) :: waterice            ! water ice amount [kg/m^2]
-real, dimension(ngrid,nslope),  intent(in) :: watersurf_ave       ! surface water ice density, yearly averaged  (kg/m^3)
+real, dimension(ngrid,nslope),  intent(in) :: tend_h2o_ice        ! tendencies on h2o ice
+real, dimension(ngrid,nslope),  intent(in) :: tend_co2_ice        ! tendencies on co2 ice
+real, dimension(ngrid,nslope),  intent(in) :: watersurf_avg       ! surface water ice density, yearly averaged (kg/m^3)
 ! outputs
 real, dimension(ngrid),                          intent(out) :: deltam_co2_regolith_phys ! mass of co2 that is exchanged due to adsorption desorption [kg/m^2]
 real, dimension(ngrid),                          intent(out) :: deltam_h2o_regolith_phys ! mass of h2o that is exchanged due to adsorption desorption [kg/m^2]
+real, dimension(ngrid,nslope),                   intent(out) :: h2o_ice                  ! h2o ice amount [kg/m^2]
+real, dimension(ngrid,nslope),                   intent(out) :: co2_ice                  ! co2 ice amount [kg/m^2]
 real, dimension(ngrid,nsoil_PEM,nslope),         intent(inout) :: TI_PEM              ! soil (mid-layer) thermal inertia in the PEM grid [SI]
 real, dimension(ngrid,nsoil_PEM,nslope),         intent(inout) :: tsoil_PEM           ! soil (mid-layer) temperature [K]
@@ -63,6 +63,5 @@
 real, dimension(ngrid,nsoil_PEM,nslope),         intent(inout) :: m_co2_regolith_phys ! mass of co2 adsorbed [kg/m^2]
 real, dimension(ngrid,nsoil_PEM,nslope),         intent(inout) :: m_h2o_regolith_phys ! mass of h2o adsorbed [kg/m^2]
-real, dimension(ngrid),                          intent(inout) :: water_reservoir     ! mass of h2o that is exchanged due to adsorption desorption [kg/m^2]
-real, dimension(ngrid,nsoil_PEM,nslope),         intent(inout) :: watersoil_ave       ! surface water ice density, yearly averaged (kg/m^3)
+real, dimension(ngrid,nsoil_PEM,nslope),         intent(inout) :: watersoil_avg       ! surface water ice density, yearly averaged (kg/m^3)
 ! local
 real, dimension(ngrid,nsoil_PEM,nslope) :: tsoil_startPEM               ! soil temperature saved in the start [K]
@@ -75,5 +74,5 @@
 character(2)                            :: num                          ! intermediate string to read PEM start sloped variables
 real, dimension(ngrid,nsoil_PEM)        :: tsoil_saved                  ! saved soil temperature [K]
-real, dimension(ngrid,nsoil_PEM,nslope) :: tsoil_tmp_yr1                ! intermediate soil temperature during yr1[K]
+real, dimension(ngrid,nsoil_PEM,nslope) :: tsoil_tmp_yr1                ! intermediate soil temperature during yr 1 [K]
 real, dimension(ngrid,nsoil_PEM,nslope) :: tsoil_tmp_yr2                ! intermediate soil temperature during yr 2 [K]
 real, dimension(ngrid,nsoil_PEM - 1)    :: alph_tmp                     ! Intermediate for tsoil computation []
@@ -82,6 +81,6 @@
 
 #ifdef CPP_STD
-   logical, dimension(ngrid) :: watercaptag
-   watercaptag(:) = .false.
+    logical, dimension(ngrid) :: watercaptag
+    watercaptag(:) = .false.
 #endif
 
@@ -91,9 +90,9 @@
 !!!
 !!! Order: 0. Previous year of the PEM run
+!!!           Ice initialization
 !!!        1. Thermal Inertia
 !!!        2. Soil Temperature
 !!!        3. Ice table
 !!!        4. Mass of CO2 & H2O adsorbed
-!!!        5. Water reservoir
 !!!
 !!! /!\ This order must be respected !
